package _VisualDVM.Visual.Windows;
import Common.Visual.FormWithSplitters;
import _VisualDVM.Global;
import _VisualDVM.Visual.Interface.CredentialsWindow;

import javax.swing.*;
public class CredentialsForm implements CredentialsWindow, FormWithSplitters {
    public JSplitPane SC18;
    public JSplitPane SC19;
    private JPanel content;
    private JPanel compilersPanel;
    private JPanel machinesPanel;
    private JPanel usersPanel;
    public CredentialsForm() {
        LoadSplitters();
        Global.mainModule.getDb().machines.mountUI(machinesPanel);
        Global.mainModule.getDb().users.mountUI(usersPanel);
        Global.mainModule.getDb().compilers.mountUI(compilersPanel);
    }
    @Override
    public JPanel getContent() {
        return content;
    }
    @Override
    public void ShowAll() {
        Global.mainModule.getDb().machines.ShowUI();
    }
}
